Bug 1469521 - [v2v] Automate request status is not reporting the operation progress stages.
[v2v] Automate request status is not reporting the operation progress stages.
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.10.0
Assigned To: Tomas Jelinek
Ilanit Stein
rhev:v2v
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 08:30 EDT by Ilanit Stein
Modified: 2018-07-09 02:07 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)
automation.log (226.28 KB, application/x-gzip)
2017-07-11 08:34 EDT, Ilanit Stein
no flags Details
evm.log (4.31 MB, application/x-gzip)
2017-07-11 08:35 EDT, Ilanit Stein
no flags Details
production.log (104.65 KB, application/x-gzip)
2017-07-11 08:35 EDT, Ilanit Stein
no flags Details
rhevm.log (1.00 MB, application/x-gzip)
2017-07-11 08:36 EDT, Ilanit Stein
no flags Details

  None (edit)
Description Ilanit Stein 2017-07-11 08:30:47 EDT
Description of problem:
On CFME v2v request, the progress stages, that can be monitored on RHV logs, are not reflected.

Here are the steps the request do report on (by mbetak):
(02:34:24 PM) mbetak: 1) submit vm import (but you probably won't catch that)
(02:34:24 PM) mbetak: 2) waiting for import
(02:34:24 PM) mbetak: 3) configuring vm networks

When I tracked the Automate request what I sew was last message was irst lunch, and then it moved to wait for import.

There seem to be also another problem in the request status.
In cases the v2v operation fail immediately, like in case described in bug 1467795.
The request status do not move to Failed, but rather does continues retries, with state: wait for import.

Also, for cases import succeed, the CFME v2v request fail after timeout of ~2 days (bug 1469492).
 
Version-Release number of selected component (if applicable):
CFME-5.8.1/RHV-4.1.3

How reproducible:
always.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Ilanit Stein 2017-07-11 08:34 EDT
Created attachment 1296217 [details]
automation.log
Comment 3 Ilanit Stein 2017-07-11 08:35 EDT
Created attachment 1296225 [details]
evm.log
Comment 4 Ilanit Stein 2017-07-11 08:35 EDT
Created attachment 1296235 [details]
production.log
Comment 5 Ilanit Stein 2017-07-11 08:36 EDT
Created attachment 1296240 [details]
rhevm.log
Comment 6 Piotr Kliczewski 2017-07-11 11:19:30 EDT
It looks like the issue is the same as in BZ #1469498 and BZ #1467795.
Comment 7 Ilanit Stein 2017-08-06 06:30:33 EDT
In reply to comment #6,

This bug is about providing details within the request messages,
about the import progress stages.
Those stages can be seen in import log, on the RHV host.
Comment 8 Tomas Jelinek 2017-08-07 03:53:06 EDT
(In reply to Ilanit Stein from comment #7)
> In reply to comment #6,
> 
> This bug is about providing details within the request messages,
> about the import progress stages.
> Those stages can be seen in import log, on the RHV host.

not sure now what this bug is about.
In description you mention 2 issues:
1: if the import passes, it does not move the state to success. It is tracked by https://bugzilla.redhat.com/show_bug.cgi?id=1469492
2: if the import fails, it does not move to error state. It is tracked by https://bugzilla.redhat.com/show_bug.cgi?id=1473169

Is this all so I can close this particular BZ or is this about something else?
Comment 9 Ilanit Stein 2017-08-07 06:51:52 EDT
In reply to comment #8:

At the current implementation, the CFME v2v request show only "Wait for Import".
This bug is for reporting import stages in the request, instead.
For example, show: disk initializing, import percentage, etc.
Comment 10 Michal Skrivanek 2017-08-24 07:50:54 EDT
there's no support ATM for reporting the stages over REST API.
There might be a way of watching for disks and probing their progress perhaps.

Not a 5.8.z material in any case

Note You need to log in before you can comment on or make changes to this bug.